<ui:composition xmlns:ui="http://java.sun.com/jsf/facelets"
                xmlns:s="http://jboss.org/schema/seam/taglib" xmlns:h="http://java.sun.com/jsf/html"
                xmlns:a4j="http://richfaces.org/a4j"
                xmlns:f="http://java.sun.com/jsf/core" xmlns:gri="http://java.sun.com/jsf/composite/gri"
                xmlns:gdk="http://www.ihe.net/gazellecdk"
                xmlns="http://www.w3.org/1999/xhtml">

    <h:form id="AddSlotValueForm">
        <ui:decorate template="/layout/popup/_popup_title_footer.xhtml">
            <ui:param name="popup_id" value="AddSlotValue"/>
            <ui:param name="bodyStyleClass" value="gzl-select-modal-overflow-visible"/>
            <ui:define name="popup_title">#{messages['net.ihe.gazelle.xdstar.AddValue']}</ui:define>
            <s:decorate id="uuid_view" template="/layout/form/_edit.xhtml">
                <ui:define name="label">#{messages['net.ihe.gazelle.xdstar.Value']}</ui:define>
                <h:inputText value="#{pnrIHEManager.valueToAdd}" styleClass="form-control"/>
            </s:decorate>
            <ui:define name="popup_footer">
                <a4j:commandButton value="#{messages['gazelle.xdrsrc.Cancel']}" styleClass="gzl-btn"
                                   oncomplete="jq162('#AddSlotValue').modal('hide')" execute="@this"/>
                <a4j:commandButton styleClass="gzl-btn-green"
                                   value="#{messages['net.ihe.gazelle.xdstar.Confirm']}"
                                   actionListener="#{pnrIHEManager.selectedSlotType.valueList.value.add(pnrIHEManager.valueToAdd)}"
                                   oncomplete="jq162('#AddSlotValue').modal('hide');"
                                   render="metadata_id"/>
            </ui:define>
        </ui:decorate>
    </h:form>

    <h:form id="AddNameValueForm">
        <ui:decorate template="/layout/popup/_popup_title_footer.xhtml">
            <ui:param name="popup_id" value="AddNameValue"/>
            <ui:param name="bodyStyleClass" value="gzl-select-modal-overflow-visible"/>
            <ui:define name="popup_title">#{messages['net.ihe.gazelle.xdstar.AddNameValue']}</ui:define>
            <s:decorate id="AddNameValueDec" template="/layout/form/_edit.xhtml">
                <ui:define name="label">#{messages['net.ihe.gazelle.xdstar.Value']}</ui:define>
                <h:inputText value="#{pnrIHEManager.valueToAdd}" styleClass="form-control"/>
            </s:decorate>
            <ui:define name="popup_footer">
                <a4j:commandButton value="#{messages['gazelle.xdrsrc.Cancel']}" styleClass="gzl-btn"
                                   oncomplete="jq162('#AddNameValue').modal('hide')" execute="@this"/>
                <a4j:commandButton styleClass="gzl-btn-green"
                                   value="#{messages['net.ihe.gazelle.xdstar.Confirm']}"
                                   actionListener="#{pnrIHEManager.setValueOfTheName(pnrIHEManager.valueToAdd)}"
                                   oncomplete="jq162('#AddNameValue').modal('hide');"
                                   render="metadata_id"/>
            </ui:define>
        </ui:decorate>
    </h:form>

    <h:form id="AddOptionalMetadataForm">
        <ui:decorate template="/layout/popup/_popup_title_footer.xhtml">
            <ui:param name="popup_id" value="AddOptionalMetadata"/>
            <ui:param name="bodyStyleClass" value="gzl-select-modal-overflow-visible"/>
            <ui:define name="popup_title">#{messages['net.ihe.gazelle.xdstar.AddNameValue']}</ui:define>
            <s:decorate id="AddOptionalMetadatadec" template="/layout/form/_edit.xhtml">
                <h:outputText value="#{messages['net.ihe.gazelle.xdstar.Metadata']}"/>
                <h:selectOneMenu id="selectMetaid" value="#{pnrIHEManager.selectedMetadata}"
                                 styleClass="form-control gzl-form-control gzl-select-text">
                    <f:selectItems value="#{pnrIHEManager.listOptionalMetadata}"
                                   noSelectionLabel="#{messages['net.ihe.gazelle.xdstar.PleaseSelect']}"/>
                    <a4j:ajax event="change"/>
                </h:selectOneMenu>
            </s:decorate>
            <ui:define name="popup_footer">
                <a4j:commandButton value="#{messages['gazelle.xdrsrc.Cancel']}" styleClass="gzl-btn"
                                   oncomplete="jq162('#AddOptionalMetadata').modal('hide')"
                                   execute="@this"/>
                <a4j:commandButton styleClass="gzl-btn-green"
                                   value="#{messages['net.ihe.gazelle.xdstar.Confirm']}"
                                   actionListener="#{pnrIHEManager.addNewMetadataToSubmissionSet()}"
                                   oncomplete="jq162('#AddOptionalMetadata').modal('hide');"
                                   render="metadata_id"/>
            </ui:define>
        </ui:decorate>
    </h:form>

    <h:form id="ClassificationSlotOptionalForm">
        <ui:decorate template="/layout/popup/_popup_title_footer.xhtml">
            <ui:param name="popup_id" value="ClassificationSlotOptional"/>
            <ui:param name="bodyStyleClass" value="gzl-select-modal-overflow-visible"/>
            <ui:define name="popup_title">#{messages['net.ihe.gazelle.xdstar.AddNameValue']}</ui:define>
            <s:decorate id="ClassificationSlotOptionaldec" template="/layout/form/_edit.xhtml">
                <h:outputText value="#{messages['net.ihe.gazelle.xdstar.Metadata']}"/>
                <h:selectOneMenu value="#{pnrIHEManager.selectedSlotMetadata}"
                                 styleClass="form-control gzl-form-control gzl-select-text">
                    <f:selectItems value="#{pnrIHEManager.getListOptionalSlotMetadata()}"
                                   noSelectionLabel="#{messages['net.ihe.gazelle.xdstar.PleaseSelect']}"/>
                    <a4j:ajax event="change"/>
                </h:selectOneMenu>
            </s:decorate>
            <ui:define name="popup_footer">
                <a4j:commandButton value="#{messages['gazelle.xdrsrc.Cancel']}" styleClass="gzl-btn"
                                   oncomplete="jq162('#ClassificationSlotOptional').modal('hide')"
                                   execute="@this"/>
                <a4j:commandButton styleClass="gzl-btn-green"
                                   value="#{messages['net.ihe.gazelle.xdstar.Confirm']}"
                                   actionListener="#{pnrIHEManager.addSelectedSlotToClassification()}"
                                   oncomplete="jq162('#ClassificationSlotOptional').modal('hide');"
                                   render="metadata_id,ClassificationSlotOptional"/>
            </ui:define>
        </ui:decorate>
    </h:form>
    <h:form id="previewForm">
        <gri:popupPanel id="previewMessagePanelIHE" styleClass="modal-lg">
            <f:facet name="header">
                <h:outputText value="#{messages['net.ihe.gazelle.xdstar.MessagePreview']}"/>
            </f:facet>
            <f:facet name="footer">
                <div align="right">
                    <a4j:commandButton styleClass="gzl-btn"
                                       value="#{messages['net.ihe.gazelle.xdstar.Cancel']}"
                                       onclick="jq162('#previewMessagePanelIHE').modal('hide')"
                                       execute="@this"/>
                </div>
            </f:facet>
            <s:div rendered="#{pnrIHEManager.selectedConfiguration != null}"
                   style="overflow: auto; width: 880px; height: 470px;">
                <gdk:insert content="#{pnrIHEManager.previewMessage()}" highlight="xml"/>
            </s:div>
        </gri:popupPanel>
    </h:form>
</ui:composition>
